-- $Rev: $

function WMS_016.CreateTimer(delay, hook)
  local timer = {}
  timer.timerFrame = CreateFrame("Frame")
  timer.counter = 0
  
  function timer.OnUpdate(frame, elapsed)
    timer.counter = timer.counter + elapsed
    if (timer.counter > delay) then
      timer:Stop()
      pcall(hook)
    end
  end
  
  function timer:Start()
    self.timerFrame:SetScript("OnUpdate", timer.OnUpdate)
    self.timerFrame:Show()
  end
  
  function timer:Stop()
    self.timerFrame:UnregisterAllEvents()
    self.timerFrame:Hide()
    self.timerFrame = nil
  end
  
  function timer:IsTimedOut()
    return timer.counter > delay
  end
  
  return timer
end