-- $Rev: 75 $
local addonName, L = ...
if L == nil then
  L = {}
end

-- comment in to generate a list of missing translations that will be stored
-- in the saved variables. The translations can be found in 
-- World of Warcraft\WTF\Account\<account number>\SavedVariables\WMS-016.lua
--local missingTranslations = {}

local function defaultFunc(L, key)
 -- If this function was called, we have no localization for this key.
 -- We could complain loudly to allow localizers to see the error of their ways, 
 -- but, for now, just return the key as its own localization. This allows you to 
 -- avoid writing the default localization out explicitly.
 
 -- store missing translations
 if missingTranslations then
    missingTranslations[key] = key
 end
 
 return key;
end

setmetatable(L, {__index=defaultFunc});

function ByeHakmud_GetMissingTranslations()
  return missingTranslations
end

function TL(s)
  return L[s];
end

